TransientQueueSubscription (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.boundedvm.TransientQueueSubscription class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.boundedvm
Class TransientQueueSubscription

    java.lang.Object
      org.codehaus.activemq.service.boundedvm.TransientSubscription
          org.codehaus.activemq.service.boundedvm.TransientQueueSubscription

public class TransientQueueSubscription
extends TransientSubscription

A holder for Transient Queue consumer info and message routing

Version:
  $Revision: 1.6 $

Field Summary

Fields inherited from class org.codehaus.activemq.service.boundedvm.TransientSubscription
`consumerInfo, filter`

Constructor Summary
`TransientQueueSubscription(BrokerClient client, MemoryBoundedQueue dispatchedQueue, Filter filter, ConsumerInfo info)` Construct the TransientQueueSubscription

Method Summary
`ActiveMQMessage` | `acknowledgeMessage(String id)` Acknowledge the receipt of a message by a consumer
`boolean` | `canAcceptMessages()`
`void` | `close()` close the subscription
`void` | `doDispatch(ActiveMQMessage message)` Dispatch a message to the Consumer
`List` | `getUndeliveredMessages()`
`boolean` | `isTarget(ActiveMQMessage message)` determines if the Subscription is interested in the message

Methods inherited from class org.codehaus.activemq.service.boundedvm.TransientSubscription
`getConsumerInfo, getFilter, setConsumerInfo, setFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientQueueSubscription

    public TransientQueueSubscription(BrokerClient client,
                                      MemoryBoundedQueue dispatchedQueue,
                                      Filter filter,
                                      ConsumerInfo info)

  Construct the TransientQueueSubscription

Parameters:
  `client` -
  `dispatchedQueue` -
  `filter` -
  `info` -

Method Detail

### isTarget

    public boolean isTarget(ActiveMQMessage message)
                     throws JMSException

  determines if the Subscription is interested in the message

  Specified by:
    `isTarget` in class `TransientSubscription`
  Parameters:
    `message` -
  Returns:
    true if this Subscription will accept the message
  Throws:
    `JMSException`

### canAcceptMessages

    public boolean canAcceptMessages()

  Returns:
    true if the consumer has capacity for more messages

### doDispatch

    public void doDispatch(ActiveMQMessage message)
                    throws JMSException

  Dispatch a message to the Consumer

  Parameters:
    `message` -
  Throws:
    `JMSException`

### acknowledgeMessage

    public ActiveMQMessage acknowledgeMessage(String id)

  Acknowledge the receipt of a message by a consumer

  Parameters:
    `id` -
  Returns:
    the removed ActiveMQMessage with the associated id

### getUndeliveredMessages

    public List getUndeliveredMessages()

  Returns:
    all the unacknowledge messages

### close

    public void close()

  close the subscription

  Overrides:
    `close` in class `TransientSubscription`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.